Subject: Please allow graceful fallback on error (split from #776911)

From: Kill Your TV <[email-masked]>
Date: Tue, 17 Mar 2015 01:15:31 +0000 (UTC)

Package: gnome-shell
Severity: wishlist

It would be nice if gnome-shell could handle failures from drivers
(e.g. mesa) more gracefully. 

For example, I have a hexcore AMD processor and if I try to emulate a
SandyBridge CPU in qemu (but my CPU doesn't actually support the same
features) and then boot a live CD running a current version of Gnome,
gnome-shell will crash with the "Oh no!" screen being displayed. 

Instead of failing hard like this it would be preferable if gnome-shell
could somehow fall back to a configuration that is practically
guaranteed to work.Running with a suboptimal or degraded configuration
would be better than not running at all.